import XEUtils from 'xe-utils';

export const CustomerVoiceColumns = [
	{ type: 'seq', title: '序 号', width: 50, align: 'center' },
	// { field: 'img', title: '图片', minWidth: 300, align: 'center', showOverflow: true, slots: { default: 'img' } },
	// { field: 'asin', title: '标题asin', minWidth: 'auto', align: 'center', showOverflow: true,  },
	{ field: 'product_info', title: '产品信息', width: 280, align: 'center', slots: { default: 'product_info' } },
	{ field: 'sku', title: 'SKU', minWidth: 'auto', align: 'center', showOverflow: true },
	// {
	// 	field: 'country_code',
	// 	title: '国家',
	// 	minWidth: 'auto',
	// 	align: 'center',
	// 	showOverflow: true,
	// 	slots: { default: 'country_code' },
	// },
	{ field: 'fulfillment_channel', title: '渠道', minWidth: 'auto', align: 'center', showOverflow: true },
	{
		field: 'ncx_rate',
		title: 'NCX率',
		minWidth: 'auto',
		align: 'center',
		showOverflow: true,
		slots: { default: 'ncx_rate' },
	},
	{ field: 'ncx_count', title: 'NCX订单', minWidth: 'auto', align: 'center', showOverflow: true },
	{ field: 'order_count', title: '所有订单', minWidth: 'auto', align: 'center', showOverflow: true },
	{
		field: 'all_score',
		title: '星级',
		minWidth: 'auto',
		align: 'center',
		showOverflow: true,
		slots: { default: 'all_score' },
	},
	{
		field: 'return_record_rate',
		title: '退货率',
		minWidth: 'auto',
		align: 'center',
		showOverflow: true,
		slots: { default: 'return_record_rate' },
	},
	{
		field: 'last_updated_date',
		title: '最近更新',
		minWidth: 'auto',
		align: 'center',
		showOverflow: true,
		formatter({ cellValue }) {
			return XEUtils.toDateString(cellValue, 'yyyy-MM-dd');
		},
	},
	{ field: 'operate', title: '详情', fixed: 'right', align: 'center', width: 90, slots: { default: 'operate' } },
];
